using System;

namespace Kvalifikacija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] velicine = Console.ReadLine().Split();
            int n = int.Parse(velicine[0]);
            int q = int.Parse(velicine[1]);
            string[] a = Console.ReadLine().Split();
            int [] nizA = new int [n];
            string[] b = Console.ReadLine().Split();
            int[] nizB = new int[q];
            for (int i = 0; i < n;i++)
            {
                nizA[i] = int.Parse(a[i].ToString());
            }
            for (int i = 0; i < q; i++)
            {
                nizB[i] = int.Parse(b[i].ToString());
            }
            Array.Sort(nizA);

            int brojac = 0;
            int pomocna = 0;
            int k;
            if (n%2==0)
            {
                k = n / 2;
            }
            else
            {
                k = (n - 1) / 2;
            }
            for (int i = 0; i < q; i++)
            {
                while (k>=0 && k<n)
                {
                    if (nizB[i]> nizA[n-1] || nizB[i] < nizA[0])
                    {
                        Console.WriteLine(n);
                        break;
                    }
                    else
                    {
                        if (nizB[i] < nizA[k] && pomocna <= 0)
                        {
                            brojac++;
                            k--;
                            pomocna--;
                        }
                        else if (nizB[i] < nizA[k] && pomocna >= 0)
                        {
                            Console.WriteLine(brojac);
                            break;
                        }
                        else if (nizB[i] > nizA[k] && pomocna >= 0)
                        {
                            brojac++;
                            k++;
                            pomocna++;
                        }
                        else if (nizB[i] > nizA[k] && pomocna <= 0)
                        {
                            Console.WriteLine(brojac);
                            break;
                        }
                        else
                        {
                            Console.WriteLine(brojac);
                            break;
                        }
                    }
                }
                brojac = 0;
            }
            Console.ReadLine();
        }
    }
}